Bug 323514 - Digikam crashes when viewing a video
Summary: Digikam crashes when viewing a video
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Video (show other bugs)
Version: unspecified
Platform: RedHat RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-08-14 21:05 UTC by Eric Seynaeve
Modified: 2017-07-27 10:28 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seynaeve 2013-08-14 21:05:34 UTC
Application: digikam (3.3.0)
KDE Platform Version: 4.10.5
Qt Version: 4.8.5
Operating System: Linux 3.10.4-300.fc19.x86_64 x86_64
Distribution (Platform): RedHat RPMs

-- Information about the crash:
- What I was doing when the application crashed:
When browsing a folder, select a video. Digikam crashes most of the times after showing a (short) black box. The video plays fine when viewing in, e.g., VLC.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1927cecac0 (LWP 3841))]

Thread 17 (Thread 0x7f19217c2700 (LWP 3842)):
#0  0x00000034d48eab6d in poll () from /lib64/libc.so.6
#1  0x00007f192998f5f8 in linux_udev_event_thread_main () from /lib64/libusb-1.0.so.0
#2  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#3  0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f191ccc7700 (LWP 3843)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f192a0ab1e6 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x00000000005d352e in Digikam::ScanController::run() ()
#3  0x00007f192a0aad0f in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#4  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#5  0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f1917fff700 (LWP 3844)):
#0  0x000000362c086f9a in g_mutex_get_impl () from /lib64/libglib-2.0.so.0
#1  0x000000362c087279 in g_mutex_unlock () from /lib64/libglib-2.0.so.0
#2  0x000000362c0480a1 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#3  0x000000362c0481fc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#4  0x00007f192a1d7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00007f192a1a8ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007f192a1a91c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#7  0x00007f192a0a866f in QThread::exec() () from /lib64/libQtCore.so.4
#8  0x00007f192a18a733 in QInotifyFileSystemWatcherEngine::run() () from /lib64/libQtCore.so.4
#9  0x00007f192a0aad0f in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#10 0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#11 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f19177fe700 (LWP 3852)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f192a0ab1e6 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x00007f192c2c65ea in Digikam::ParkingThread::run() () from /lib64/libdigikamcore.so.3
#3  0x00007f192a0aad0f in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#4  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#5  0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f18fe533700 (LWP 3866)):
#0  0x00000034d48eab6d in poll () from /lib64/libc.so.6
#1  0x000000362c0480f4 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#2  0x000000362c0481fc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f192a1d7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x00007f192a1a8ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00007f192a1a91c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007f192c2c5c93 in Digikam::WorkerObjectRunnable::run() () from /lib64/libdigikamcore.so.3
#7  0x00007f192a09e83e in QThreadPoolThread::run() () from /lib64/libQtCore.so.4
#8  0x00007f192a0aad0f in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#9  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#10 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f1903138700 (LWP 4957)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f191481836d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003634c5b281 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003634c5b281 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x00007f1914823490 in gst_tee_handle_data () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f1914823954 in gst_tee_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#7  0x0000003634c5b281 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#8  0x00007f1914819369 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#9  0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#10 0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#11 0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#12 0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#13 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f1902937700 (LWP 4958)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f1914818c35 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#4  0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#6  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#7  0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f1901f23700 (LWP 4959)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x000000363621dd1c in gst_base_sink_wait_preroll () from /lib64/libgstbase-0.10.so.0
#3  0x000000363621deb0 in gst_base_sink_do_preroll () from /lib64/libgstbase-0.10.so.0
#4  0x000000363621f8a7 in gst_base_sink_render_object.isra.8 () from /lib64/libgstbase-0.10.so.0
#5  0x0000003636221bbf in gst_base_sink_queue_object_unlocked.isra.9 () from /lib64/libgstbase-0.10.so.0
#6  0x0000003636222066 in gst_base_sink_chain_unlocked.isra.10 () from /lib64/libgstbase-0.10.so.0
#7  0x000000363622239f in gst_base_sink_chain_main () from /lib64/libgstbase-0.10.so.0
#8  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#9  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#10 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#11 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#12 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#13 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#14 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#16 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#17 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#18 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#19 0x00007f1914819369 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#20 0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#21 0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#22 0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#23 0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#24 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f1901722700 (LWP 4960)):
[KCrash Handler]
#5  0x00007f1929df57eb in QDBusAdaptorConnector::relaySlot(void**) () from /lib64/libQtDBus.so.4
#6  0x00007f1929df5ecf in QDBusAdaptorConnector::qt_metacall(QMetaObject::Call, int, void**) () from /lib64/libQtDBus.so.4
#7  0x00007f192a1be172 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4
#8  0x00007f192a1be97f in QObject::destroyed(QObject*) () from /lib64/libQtCore.so.4
#9  0x00007f192a1c28a3 in QObject::~QObject() () from /lib64/libQtCore.so.4
#10 0x0000003630f7fd69 in KIO::Scheduler::~Scheduler() () from /lib64/libkio.so.5
#11 0x0000003630f8c14b in KIO::SchedulerPrivate::~SchedulerPrivate() () from /lib64/libkio.so.5
#12 0x0000003630f82757 in ._230::destroy() () from /lib64/libkio.so.5
#13 0x00000034d48392a9 in __run_exit_handlers () from /lib64/libc.so.6
#14 0x00000034d48392f5 in exit () from /lib64/libc.so.6
#15 0x00007f192a997c68 in qt_xio_errhandler () from /lib64/libQtGui.so.4
#16 0x0000003630040170 in KApplication::xioErrhandler(_XDisplay*) () from /lib64/libkdeui.so.5
#17 0x00000034d8443cce in _XIOError () from /lib64/libX11.so.6
#18 0x00000034d8441e25 in _XReply () from /lib64/libX11.so.6
#19 0x00000034d843d76d in XSync () from /lib64/libX11.so.6
#20 0x00007f1915f35f16 in Phonon::Gstreamer::X11Renderer::setOverlay() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#21 0x00007f192a1bdf78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4
#22 0x00007f1915f2c6ed in Phonon::Gstreamer::Pipeline::cb_element(_GstBus*, _GstMessage*, void*) () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#23 0x000000362c40fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#24 0x000000362c420a3d in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#25 0x000000362c428829 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#26 0x000000362c428a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#27 0x0000003634c322fa in gst_bus_sync_signal_handler () from /lib64/libgstreamer-0.10.so.0
#28 0x0000003634c32582 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#29 0x0000003634c3fe13 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#30 0x0000003634c2ba24 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#31 0x0000003634c5e1b5 in gst_pipeline_handle_message () from /lib64/libgstreamer-0.10.so.0
#32 0x00007f18fed43419 in gst_play_bin_handle_message () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#33 0x0000003634c28988 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#34 0x0000003634c32582 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#35 0x0000003634c3fe13 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#36 0x0000003634c2ba24 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#37 0x00007f18fed491f8 in gst_play_sink_handle_message () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#38 0x0000003634c28988 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#39 0x0000003634c32582 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#40 0x0000003634c3fe13 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#41 0x0000003634c2ba24 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#42 0x0000003634c28988 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#43 0x0000003634c32582 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#44 0x0000003634c3fe13 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#45 0x0000003634c2ba24 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#46 0x0000003634c28988 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#47 0x0000003634c32582 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#48 0x0000003634c3fe13 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#49 0x0000003634c2ba24 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#50 0x0000003634c28988 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#51 0x0000003634c32582 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#52 0x0000003634c3fe13 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#53 0x00007f19141d5054 in gst_xvimagesink_setcaps () from /usr/lib64/gstreamer-0.10/libgstxvimagesink.so
#54 0x0000003636217e2b in gst_base_sink_pad_setcaps () from /lib64/libgstbase-0.10.so.0
#55 0x0000003634c55f37 in gst_pad_set_caps () from /lib64/libgstreamer-0.10.so.0
#56 0x0000003634c578d2 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#57 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#58 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#59 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#60 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#61 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#62 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#63 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#64 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#65 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#66 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#67 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#68 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#69 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#70 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#71 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#72 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#73 0x00007f1914819369 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#74 0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#75 0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#76 0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#77 0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#78 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f1900f21700 (LWP 4961)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f191481836d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#6  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#7  0x00007f1914823490 in gst_tee_handle_data () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#8  0x00007f1914823954 in gst_tee_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#9  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#11 0x00007f1914819369 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#12 0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#13 0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#14 0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#15 0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#16 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f18ffdf7700 (LWP 4962)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f191481836d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#6  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#7  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#8  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#9  0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#10 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#11 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#12 0x000000363622f92b in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#13 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#14 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#17 0x00007f1914819369 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#18 0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#19 0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#20 0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#21 0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#22 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f18fdd32700 (LWP 4963)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x000000363623e09d in gst_data_queue_pop () from /lib64/libgstbase-0.10.so.0
#3  0x00007f19148142ac in gst_multi_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#4  0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#5  0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#6  0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#7  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#8  0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f18fcd30700 (LWP 4964)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f191481836d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#6  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#7  0x00007f18fed65a3d in gst_stream_synchronizer_sink_chain () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#8  0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#9  0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#11 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#12 0x00007f191480f4d5 in gst_selector_pad_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#13 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#14 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#17 0x0000003634c57803 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#18 0x0000003634c5b179 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#19 0x00007f1901f2cd1f in gst_jpeg_dec_chain () from /usr/lib64/gstreamer-0.10/libgstjpeg.so
#20 0x0000003634c5b281 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#21 0x00007f1914814b41 in gst_multi_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#22 0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#23 0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#24 0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#25 0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#26 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f18f7fff700 (LWP 4965)):
#0  0x00000034d4c0b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362c0874c7 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x000000363623dbd0 in gst_data_queue_push () from /lib64/libgstbase-0.10.so.0
#3  0x00007f1914813ed2 in gst_multi_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#4  0x0000003634c5b281 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x00007f191501d061 in gst_avi_demux_loop () from /usr/lib64/gstreamer-0.10/libgstavi.so
#6  0x0000003634c80734 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#7  0x000000362c06cb46 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#8  0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#9  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#10 0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f18d57fa700 (LWP 4966)):
#0  0x00000034f02225f9 in pa_mainloop_prepare () from /lib64/libpulse.so.0
#1  0x00000034f0223092 in pa_mainloop_iterate () from /lib64/libpulse.so.0
#2  0x00000034f0223150 in pa_mainloop_run () from /lib64/libpulse.so.0
#3  0x00000034f0231033 in thread () from /lib64/libpulse.so.0
#4  0x00000034f0646ec8 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-3.0.so
#5  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#6  0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f1903d7d700 (LWP 4967)):
#0  0x00000034d4c0e80d in nanosleep () from /lib64/libpthread.so.0
#1  0x000000362c06d728 in g_usleep () from /lib64/libglib-2.0.so.0
#2  0x00007f19141d745f in gst_xvimagesink_event_thread () from /usr/lib64/gstreamer-0.10/libgstxvimagesink.so
#3  0x000000362c06c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x00000034d4c07c53 in start_thread () from /lib64/libpthread.so.0
#5  0x00000034d48f513d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f1927cecac0 (LWP 3841)):
#0  0x00000034d4c0aa6c in pthread_mutex_unlock () from /lib64/libpthread.so.0
#1  0x000000362c087281 in g_mutex_unlock () from /lib64/libglib-2.0.so.0
#2  0x000000362c047790 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#3  0x000000362c048013 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#4  0x000000362c0481fc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x00007f192a1d7145 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007f192a9cdfc6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#7  0x00007f192a1a8ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#8  0x00007f192a1a91c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#9  0x00007f192a1ae45b in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#10 0x0000000000492183 in main ()

Possible duplicates by query: bug 321879, bug 315489.

Reported using DrKonqi
Comment 1 Jim Shipman 2013-12-12 04:25:10 UTC
I constantly get a crash with no log messages or any other indication most times when I preview a video (any kind) in the digikam preview window.  This has been a constant problem for many generations.

I just tried it with the 4.0.0 beta1 version and it also crashes when I preview a video, but this time it wrote some messages into the terminal window where I started it.

"** (digikam:9771): WARNING **: gstvideo: failed to get caps of pad xvimagesink0:sink
digikam: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
pure virtual method called
terminate called without an active exception
pure virtual method called
QSocketNotifier: Invalid socket 27 and type 'Read', disabling...
terminate called recursively
Unable to start Dr. Konqi
"

My system is x86_64 Fedora 19 with gnome window manager.

I also get a crash when importing videos (another bug open already)

Jim Shipman
Comment 2 Harald Sitter 2013-12-12 10:05:46 UTC

*** This bug has been marked as a duplicate of bug 327367 ***
Comment 3 caulier.gilles 2017-01-06 22:18:27 UTC
digiKam 5.4.0 bundles will use QtAV framework instead Qt5Multimedia to thumb
and play video/audio. The Slideshow tool will also support video as well.

QtAV use ffmpeg codecs. It's multi-platform and will always available in
OSX, Windows and Linux bundles that digiKam team provide.

For Linux packagers, you will need to turn on video support at compilation time
and solve QtAV dependencies...

See screenshots here :

https://www.flickr.com/photos/digikam/30886133553
https://www.flickr.com/photos/digikam/31679362466
https://www.flickr.com/photos/digikam/31572654722
https://www.flickr.com/photos/digikam/31726086736

Bundles have been recompiled are posted to GDrive for testing :

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM